#!/bin/sh

echo 'name: DeepArrow
version: 0.3.3
license: BSD3
copyright: (c) 2007,2009 by Conal Elliott
maintainer: conal@conal.net
stability: experimental
homepage: http://haskell.org/haskellwiki/DeepArrow
package-url: http://darcs.haskell.org/packages/DeepArrow
description: This library provides a framework for type-directed composition of value
             editors (non-syntactic transformations).  The tools enable \"deep function
             application\" in two senses: deep application of functions and
             application of deep functions.  These tools generalize beyond values and
             functions, via the @DeepArrow@ subclass of the @Arrow@ type class.
             .
             For more information see:
             .
             * The project wiki page <http://haskell.org/haskellwiki/DeepArrow>
             .
             * Application of deep arrows for composable interfaces in the TV library:
             <http://haskell.org/haskellwiki/TV>
             .
             * The motivating idea and paper "Tangible Functional Programming":
             <http://conal.net/papers/Eros>
             .
             This page and the module documentation pages have links to colorized
             source code and to wiki pages where you can read and contribute /user
             comments/.  Enjoy!
             .
             The primary module is "Control.Arrow.DeepArrow".  Examples in
             "Control.Arrow.DeepArrow.Examples".
             .
             /Note/: Many of the type signatures use infix type operators (as in
             @a~>b@), a recent extension to GHC.  In reading the documentation and
             code, be aware that infix operators bind more tightly than @->@.
             .
             &#169; 2007 by Conal Elliott (<http://conal.net>); BSD3 license.
category: Combinators, Control
author: Conal Elliott <conal@conal.net>
exposed: True
exposed-modules: Control.Arrow.DeepArrow Data.FunArr
                 Data.DDeepArrow Language.Haskell.ToHs Language.Haskell.Parens
                 Control.Arrow.DeepArrow.Examples
hidden-modules:
import-dirs: /usr/local/lib/DeepArrow-0.3.3/ghc-6.10.4
library-dirs: /usr/local/lib/DeepArrow-0.3.3/ghc-6.10.4
              /usr/local/lib
hs-libraries: HSDeepArrow-0.3.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: TypeCompose-0.8.0 base-4.1.0.0 haskell-src-1.0.1.3
         mtl-1.1.0.2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/DeepArrow-0.3.3/html/DeepArrow.haddock
haddock-html: /usr/local/share/doc/DeepArrow-0.3.3/html' | /usr/local/bin/ghc-pkg update -
